QGIS Application - Feature request #21558
Allow none/empty as possible values for Processing QgsProcessingParameterRange
2019-03-11 01:34 PM - Giovanni Manghi

Status: Open

Priority: Normal

Assignee:

Category: Processing/GRASS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 29374
Description

Now in QgsProcessingParameterRange "0" is always used as default.

This has two downsides:

1) 0 could not be an appropriate default and can led to errors/confusions

2) sometimes the parameter defined by QgsProcessingParameterRange is not mandatory, not being able to set it to "none" it is always

used, even if is not necessary.

See for example #21452

Related issues:
Related to QGIS Application - Bug report # 21452: r.series broken in Processi... Open 2019-03-03

History

#1 - 2019-03-11 01:34 PM - Giovanni Manghi
- Subject changed from Allow noe/empty as possible values for Processing QgsProcessingParameterRange to Allow none/empty as possible values for
Processing QgsProcessingParameterRange

#2 - 2019-03-19 09:55 AM - Jiirgen Fischer
- Description updated

#3 - 2019-03-19 09:55 AM - Jiirgen Fischer

- Related to Bug report #21452: r.series broken in Processing due to wrong "range=0,0" pre-definition added
